<div id="main-menu">
{% spaceless %}
<ul>
    {#<li><a href="{% url homepage %}" alt="home">home</a></li>#}
    {% for menuitem in menuitems %}{% if not menuitem.is_container or menuitem.children.count or 1 %}
    <li>
        <a href="{{menuitem.get_absolute_url}}" class="item_{{menuitem.object.slug|default:menuitem.slug}}" rel="{{menuitem.object.slug|default:menuitem.slug}}">{{menuitem}}</a>
        {% if menuitem.is_container and menuitem.children.count %}
        <ul class="submenu">
        {% for item in menuitem.get_children %}
        <li><a href="{{item.get_absolute_url}}" class="item_{{menuitem.object.slug|default:menuitem.slug}}" rel="{{item.object.slug|default:menuitem.slug}}">{{item.title}}</a></li>
        {% endfor %}
        </ul>
        {% endif %}
    </li>
    {% endif %}{% endfor %}
</ul>
{% endspaceless %}
</div>
